Delete a Group
DELETE
https://example.com/scim/v2/Groups/{urn}
Path Parameters
- urnstringrequiredDescription
Responses
204
curl
curl --location -g --request DELETE 'https://example.com/scim/v2/Groups/{urn}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://example.com/scim/v2/Groups/{urn}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://example.com/scim/v2/Groups/{urn}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://example.com/scim/v2/Groups/{urn}"
payload={}
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
204
// No Content
Deletes a SCIM Group and any user roles that may have been associated with it.